gRPC C#
gRPC C#
Namespaces
Grpc.Core
IAsyncStreamReader(T) Interface
IAsyncStreamReader(T) Properties
IAsyncStreamReader(T) Methods

IAsyncStreamReader T Methods

The IAsyncStreamReader
T
generic type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| Dispose | Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources. (Inherited from IDisposable.)
| MoveNext | (Inherited from IAsyncEnumerator T .)

Top
Extension Methods

| Name | Description
--- | --- | ---
| ForEachAsync T | Reads the entire stream and executes an async action for each element. (Defined by AsyncStreamExtensions.)
| ToListAsync T | Reads the entire stream and creates a list containing all the elements read. (Defined by AsyncStreamExtensions.)

Top
See Also

#### Reference

IAsyncStreamReader
T
Interface
Grpc.Core Namespace